using System;

internal sealed class Delegate673 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate673 delegate673_1)
	{
		return delegate673_1(object_0);
	}

	public extern Delegate673(object object_0, IntPtr intptr_0);

	static Delegate673()
	{
		Class10.smethod_13(typeof(Delegate673).TypeHandle);
	}

	internal static Delegate673 delegate673_0;
}
